/**
 * @file app_nvs.h
 * @author Adnan
 * @brief
 * @version 0.1
 * @date 2023-05-26
 *
 * @copyright Copyright (c) 2023
 *
 */

#ifndef APP_NVS_H
#define APP_NVS_H

/* Includes --------------------------------------------------------------------------------------*/
#include <zephyr/kernel.h>
#include <zephyr/sys/reboot.h>
#include <zephyr/device.h>
#include <string.h>
#include <zephyr/drivers/flash.h>
#include <zephyr/storage/flash_map.h>
#include <zephyr/fs/nvs.h>
#include "app_common.h"

/* Function prototype ----------------------------------------------------------------------------*/
bool read_from_nvs (void *p_data, int len);
bool write_to_nvs (void *p_data, int len);
bool update_nvs (void);
void update_nvs_connection_param (uint8_t *p_id);
void print_nvs_info (void);
bool nvs_init (void);

#endif