/**
 * @file ble_services_peripheral.h
 * @author
 * @brief BLE GATT services and characteristics definition file for peripheral
 *
 * @version 0.1
 * @date 2023-02-24
 *
 * @copyright Copyright (c) 2023
 *
 */

#ifndef BLE_SERVICES_PERIPHERAL_H
#define BLE_SERVICES_PERIPHERAL_H

//
// Notify_dev custom service uuid
//
#define BT_UUID_NOTIFY_DEV_VAL      BT_UUID_128_ENCODE(0x00000000, 0x819A, 0xD714, 0x0636, 0x04AD184EC415)
#define BT_UUID_NOTIFY_DEV	        BT_UUID_DECLARE_128(BT_UUID_NOTIFY_DEV_VAL)

//mobile device uuid
#define BT_UUID_MOBILE_DEV_VAL      BT_UUID_128_ENCODE(0x00000000, 0x829A, 0xD714, 0x0636, 0x04AD184EC415)
#define BT_UUID_MOBILE_DEV	        BT_UUID_DECLARE_128(BT_UUID_MOBILE_DEV_VAL)

// Notify_dev command characteristics uuid
//
#define BT_UUID_CMD_VAL             BT_UUID_128_ENCODE(0x00000001, 0x819A, 0xD714, 0x0636, 0x04AD184EC415)
#define BT_UUID_CMD 	            BT_UUID_DECLARE_128(BT_UUID_CMD_VAL)

/* Extern param ----------------------------------------------------------------------------------*/
extern bt_addr_le_t connected_bt_dev;

/* Function prototype ----------------------------------------------------------------------------*/
void advertisement_start (void);
void advertisement_stop (void);

void bt_indicate (uint8_t *p_data, uint8_t len);
// void bt_indicate(uint8_t *p_data,uint8_t len);
#endif
