/**
 * @file led_pwm.h
 * @author
 * @brief
 * @version 0.1
 * @date 2023-05-31
 *
 * @copyright Copyright (c) 2023
 *
 */
#include <zephyr/types.h>
#include "app_common.h"

#ifndef __LED_PWM_H__
#define __LED_PWM_H__

/* Global macros ---------------------------------------------------------------------------------*/
#define LED_TIMEOUT_SEC         (2)
#define	LED_R_PIO               (23)
#define LED_G_PIO               (22)
#define LED_B_PIO               (21)

/* Commonly used colors */
#define LED_COLOR_DARK_MAGENTA  139, 0,  139
#define LED_COLOR_YELLOW        255, 255, 0
#define LED_COLOR_ORANGE        178, 115, 0
#define LED_COLOR_RED           115, 0,   0
#define LED_COLOR_GREEN         0,   128, 0
#define LED_COLOR_BLUE          0,   0,   255
#define LED_COLOR_PALE_BLUE     0,   150, 200
#define LED_COLOR_WHITE         255, 255, 255
#define LED_COLOR_MAGENTA       255,  0,  255

#define LED_COLOR_ZONE_1        LED_COLOR_GREEN
#define LED_COLOR_ZONE_2        LED_COLOR_YELLOW
#define LED_COLOR_ZONE_3        LED_COLOR_BLUE
#define LED_COLOR_ZONE_SILENT   LED_COLOR_DARK_MAGENTA

/* Global param ----------------------------------------------------------------------------------*/
void cb_led_timer (struct k_timer *p_timer);
void led_init (void);
void led_off (void);
void led_set_color (uint16_t r, uint16_t g, uint16_t b);
void led_fast_blink (uint16_t r, uint16_t g, uint16_t b);
void led_zone_or_mode_change_sequence (uint16_t r, uint16_t g, uint16_t b);
void led_slow_blink (uint16_t r, uint16_t g, uint16_t b);
void turn_on_zone_indicator_led (void);

#endif //__LED_PWM_H__
